#pragma once

#include <saas/rtyserver/factors/feature.h>

namespace NRTYFeatures {

void InitModels(const TDynMapping& factorsInConfig, const NRTYFactors::TConfig* relevCfg, const TString& modelsPath);

TIntrusivePtr<IFeatureCalcer> CreateCalcer(const TDynMapping& factorsInRequest, const NRTYFactors::TConfig* relevCfg, bool fastFeaturesOnly);

} // namespace NRTYFeatures
